Subject: Re: Unmapping pages from the linear addressing without HIGHMEM support

From: "Gerhard Pircher" <[email-masked]>
Date: Fri, 10 Mar 2006 14:31:01 +0100 (MET)

> --- Ursprüngliche Nachricht ---
> Von: Dan Malek <[email-masked]>
> An: "Gerhard Pircher" <[email-masked]>
> Kopie: [email-masked], [email-masked], Benjamin
> Herrenschmidt <[email-masked]>
> Betreff: Re: Unmapping pages from the linear addressing without
> HIGHMEM support
> Datum: Fri, 10 Mar 2006 07:59:33 -0500
> 
> On Mar 10, 2006, at 4:09 AM, Gerhard Pircher wrote:
> 
> > That would mean I cannot reuse the code in dma-mapping.c, right?
> 
> Sure you can.  All you need to do is turn of BAT mapping, which
> is as easy as using the 'nobats' command line parameter and
> all of this code should just work for you.
Yes, that was the solution I would have used. The other solution is to
reserve a physical memory area for DMA operations that is not mapped by the
BATs (AFAIU nor by any page tables setup by the kernel). Therefore I doubt
that I can simply reuse the dma-mapping.c code for the latter approach!? Do
I mix something up here?

> > ...   but I guess I have to setup my own page table for the reserved
> > DMA memory area and implement my own alloc_pages() function!?
> 
> No, that's already done for you behind all of these functions.
But only, if the whole BAT mapping is killed, right?

Thanks!

Gerhard

-- 
"Feel free" mit GMX FreeMail!
Monat für Monat 10 FreeSMS inklusive! http://www.gmx.net